<script>
    export default {
        props: {
            data: Object
        },
        methods: {
            To2Digits(num) {
                return String(num).padStart(2, '0');
            }
         },
        computed: {
            Mp4OrPng(){
                return this.data.message.multimedia.ext === 'png' || this.data.message.multimedia.ext === 'mp4' 
            },
            date(){
                const date = new Date(this.data.createdAt);
                const day = date.getDate();
                const month = date.getMonth();
                const year = date.getFullYear();
                const hours = date.getHours();
                const minutes = date.getMinutes();

                return day + ' / ' + (month + 1) + ' / ' + year + ' - ' + this.To2Digits(hours) + ':' + this.To2Digits(minutes);
            }
        }
    }
</script>

<template>
    <div class="message-box mb-7" :class="data.message.typeUser === 'Client' && 'message-box-client'">
        <div class="message-box-text w-fit tx-white bg-blue-1 relative p-5 rounded-8 mb-2">

            <!-- TEXT -->
            <span class="tx-14" v-if="data.message.text">
                {{ data.message.text }}
            </span>

            <!-- PNG - PDF - MP4 -->
            <a :href="data.message.multimedia.file" target="_blank" v-if="data.message.multimedia">
                <img :src="data.message.multimedia.thumbnail" alt="" v-if="Mp4OrPng">
                <img class="w-40" src="@/assets/images/views/panel/icon-pdf.png" alt="" v-if="data.message.multimedia.ext === 'pdf'">
            </a>

            <img class="message-box-spike absolute b-0 r-0 -mr-3" src="@/assets/images/views/panel/message-spike.svg" alt="">
            
        </div>
        <span class="message-box-hour tx-12 w-100pr tx-right block opacity-06">
            {{ date }}
        </span>
    </div>
</template>